## golang-github-rabbitmq-amqp091-go 1.5.0

=== Makefile ===
.DEFAULT_GOAL := list

# Insert a comment starting with '##' after a target, and it will be printed by 'make' and 'make list'
.PHONY: list
list: ## list Makefile targets
	@echo "The most used targets: \n"
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}'

.PHONY: fmt
fmt: ## Run go fmt against code
	go fmt ./...

.PHONY: tests
tests: ## Run all tests and requires a running rabbitmq-server
	go test -cpu 1,2 -race -v -tags integration

.PHONY: check
check:
	golangci-lint run ./...

.PHONY: rabbitmq-server
rabbitmq-server:
	docker run --detach --rm --name amqp091-go-rabbitmq \
		--publish 5672:5672 --publish 15672:15672 \
		--pull always rabbitmq:3-management

.PHONY: stop-rabbitmq-server
stop-rabbitmq-server:
	docker stop $$(docker inspect --format='{{.Id}}' amqp091-go-rabbitmq)

=== debian/changelog ===
golang-github-rabbitmq-amqp091-go (1.5.0-2) unstable; urgency=medium

  * Source-only upload for migration

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 03 Dec 2022 14:05:32 +0000

golang-github-rabbitmq-amqp091-go (1.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #1024728)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 24 Nov 2022 00:27:19 +0000

=== debian/control ===
Source: golang-github-rabbitmq-amqp091-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <gibmat@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-uber-goleak-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-rabbitmq-amqp091-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-rabbitmq-amqp091-go.git
Homepage: https://github.com/rabbitmq/amqp091-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/rabbitmq/amqp091-go

Package: golang-github-rabbitmq-amqp091-go-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         golang-uber-goleak-dev
Description: Go client for AMQP 0.9.1 (library)
 This is a Go AMQP 0.9.1 client maintained by the RabbitMQ core team.
 It was originally developed by Sean Treadway.
 .
 The library provides a functional interface that closely represents
 the AMQP 0.9.1 model targeted to RabbitMQ as a server. This includes
 the minimum necessary to interact the semantics of the protocol.

## golang-github-rabbitmq-amqp091-go 1.8.1

=== Makefile ===
.DEFAULT_GOAL := list

# Insert a comment starting with '##' after a target, and it will be printed by 'make' and 'make list'
.PHONY: list
list: ## list Makefile targets
	@echo "The most used targets: \n"
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}'

.PHONY: check-fmt
check-fmt: ## Ensure code is formatted
	gofmt -l -d . 	# For the sake of debugging
	test -z "$$(gofmt -l .)"

.PHONY: fmt
fmt: ## Run go fmt against code
	go fmt ./...

.PHONY: tests
tests: ## Run all tests and requires a running rabbitmq-server. Use GO_TEST_FLAGS to add extra flags to go test
	go test -race -v -tags integration $(GO_TEST_FLAGS)

.PHONY: tests-docker
tests-docker: rabbitmq-server
	RABBITMQ_RABBITMQCTL_PATH="DOCKER:$(CONTAINER_NAME)" go test -race -v -tags integration $(GO_TEST_FLAGS)
	$(MAKE) stop-rabbitmq-server

.PHONY: check
check:
	golangci-lint run ./...

CONTAINER_NAME ?= amqp091-go-rabbitmq

.PHONY: rabbitmq-server
rabbitmq-server: ## Start a RabbitMQ server using Docker. Container name can be customised with CONTAINER_NAME=some-rabbit
	docker run --detach --rm --name $(CONTAINER_NAME) \
		--publish 5672:5672 --publish 15672:15672 \
		--pull always rabbitmq:3-management

.PHONY: stop-rabbitmq-server
stop-rabbitmq-server: ## Stop a RabbitMQ server using Docker. Container name can be customised with CONTAINER_NAME=some-rabbit
	docker stop $(CONTAINER_NAME)

=== debian/changelog ===
golang-github-rabbitmq-amqp091-go (1.8.1-2) unstable; urgency=medium

  * Fix test failure on 32bit architectures

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 16 Jun 2023 23:46:23 +0000

golang-github-rabbitmq-amqp091-go (1.8.1-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version in d/control (no changes needed)
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 11 Jun 2023 23:34:25 +0000

## golang-github-rabbitmq-amqp091-go 1.9.0

=== debian/changelog ===
golang-github-rabbitmq-amqp091-go (1.9.0-1) unstable; urgency=medium

  * New upstream release
    - Drop patch applied upstream

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 07 Oct 2023 15:42:37 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-golang,
                golang-any,
                golang-uber-goleak-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-rabbitmq-amqp091-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-rabbitmq-amqp091-go.git
 Homepage: https://github.com/rabbitmq/amqp091-go

## golang-github-rabbitmq-amqp091-go 1.10.0

=== Makefile ===
--- 
+++ 
@@ -39,3 +39,19 @@
 .PHONY: stop-rabbitmq-server
 stop-rabbitmq-server: ## Stop a RabbitMQ server using Docker. Container name can be customised with CONTAINER_NAME=some-rabbit
 	docker stop $(CONTAINER_NAME)
+
+certs:
+	./certs.sh
+
+.PHONY: certs-rm
+certs-rm:
+	rm -r ./certs/
+
+.PHONY: rabbitmq-server-tls
+rabbitmq-server-tls: | certs ## Start a RabbitMQ server using Docker. Container name can be customised with CONTAINER_NAME=some-rabbit
+	docker run --detach --rm --name $(CONTAINER_NAME) \
+		--publish 5672:5672 --publish 5671:5671 --publish 15672:15672 \
+		--mount type=bind,src=./certs/server,dst=/certs \
+		--mount type=bind,src=./certs/ca/cacert.pem,dst=/certs/cacert.pem,readonly \
+		--mount type=bind,src=./rabbitmq-confs/tls/90-tls.conf,dst=/etc/rabbitmq/conf.d/90-tls.conf \
+		--pull always rabbitmq:3-management

=== debian/changelog ===
golang-github-rabbitmq-amqp091-go (1.10.0-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.0 in d/control (no changes needed)
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 25 May 2024 20:21:13 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-golang,
                golang-any,
                golang-uber-goleak-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-rabbitmq-amqp091-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-rabbitmq-amqp091-go.git
 Homepage: https://github.com/rabbitmq/amqp091-go

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/rabbitmq/amqp091-go/tags .*/v?(\d\S*)\.tar\.gz debian
